# Delete files references in the Xcode project 
#
# Copyright (C) 2010 Sopra Steria Group (movalys.support@soprasteria.com)

# This file is part of Movalys MDK.
# Movalys MDK is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Movalys MDK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with Movalys MDK. If not, see <http://www.gnu.org/licenses />.

require 'rubygems'
require 'xcodeproj'

# :nodoc: namespace
module MFXcode::Plugins


# Delete files references in the Xcode project 
class Delfileref
  
  def help
    {:short => 'delete files references in the Xcode project',
     :long => <<"END" }
Usage: delfileref project_path file [file file ...]

Delete files references in the project at the given path.
END
  end
  
  def run(args)
    if args.count >= 2

      project_path = args.shift

      project = Xcodeproj::Project.open(project_path)

      filesToDeleteIfReferenced = args.to_a

      project.files.select { |f| filesToDeleteIfReferenced.include? f.name}.each {|f| f.remove_from_project}

      project.save(project_path)

    else
       puts "Too few arguments"
       puts help[:long]
       
       exit 1
    end
  
  end
  
end  # class MFXcode::Plugins::Delfileref

end  # namespace MFXcode::Plugins
