# Generate a new default empty Xcode project 
#
# Copyright (C) 2010 Sopra Steria Group (movalys.support@soprasteria.com)

# This file is part of Movalys MDK.
# Movalys MDK is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Movalys MDK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with Movalys MDK. If not, see <http://www.gnu.org/licenses />.

require 'rubygems'
require 'xcodeproj'

# :nodoc: namespace
module MFXcode::Plugins


# Adds files to a group in the Xcode project 
class Generateproj
  
  def help
    {:short => 'Generate a new default empty Xcode project',
     :long => <<"END" }
Usage: generateproj project_name

Generate a new empty Xcode project
END
  end
  
  def run(args)
   
    if args.count == 1

      project_name = args.shift

      if project_name.end_with? ".xcodeproj"
        project_name.chomp! ".xcodeproj"
      end
    
      project_basedir = project_name
      project_path = project_basedir + "/" + project_name + ".xcodeproj"      

      project = Xcodeproj::Project.new


      project.save(project_path) 
    
    else
       puts "Wrong number of arguments"
       puts help[:long]
    end
  end
end  # class MFXcode::Plugins::Addfile

end  # namespace MFXcode::Plugins
