# Displays the help strings for other plugins.
#
# Copyright (C) 2010 Sopra Steria Group (movalys.support@soprasteria.com)

# This file is part of Movalys MDK.
# Movalys MDK is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Movalys MDK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with Movalys MDK. If not, see <http://www.gnu.org/licenses />.

# :nodoc: namespace
module MFXcode::Plugins


# Displays the help strings for other plugins.
class Help
  def help
    {:short => 'command-line usage instructions',
     :long => <<"END" }
Usage: help [command]

Shows the usage for the given command. If no command is  given, shows a list of
commands with a short description for each command.
END
  end
  
  def run(args)
    helpstr = "MFXcode brought to you by SopraSteria.\n"
  
    plugin = args.shift
    if MFXcode::Plugins.all.include? plugin
      help = MFXcode::Plugins.get(plugin).help
      helpstr << "#{plugin} - #{help[:short]}\n#{help[:long]}"
    else
      helpstr << "Available commands:\n"
      MFXcode::Plugins.all.each do |plugin|
        short_help = MFXcode::Plugins.get(plugin).help[:short]
        helpstr << "  #{plugin}: #{short_help}\n"
      end
    end
    
    print helpstr
    helpstr
  end  
end  # class MFXcode::Plugins::Help

end  # namespace MFXcode::Plugins
